Comment editing changes comment "metadata” namely data
Jun 11,2015 03:51 PM - Leonardo Candela

Status: Closed Start date: Jun 11, 2015
Priority: Normal Due date: Jun 11, 2015
Assignee: Costantino Perciante % Done: 100%
Category: Other Estimated time: 16.00 hours
Infrastructure: Production

Description

The semantic of the edit is quite questionable since I'm allowed to modify my comment yet:

e the comment time is modified thus changing/breaking the discussion thread;
e the previous version of the comment is removed/lost;
¢ the button says "Comment";

History

#1 - Jun 12, 2015 11:03 AM - Massimiliano Assante

the time is modified you are right, but that was thought to not make people change their previous pretend to have said something they haven't .

#2 - Jun 15, 2015 10:11 PM - Pasquale Pagano

| did not completely understand the answer. If the time time is changed and this breaks the discussion thread then we need a solution.

#3 - Jun 16, 2015 09:59 AM - Leonardo Candela

My proposal is as follows:

¢ mark the comment as "edited" and keep the time of the first comment;
¢ change the button from "Comment" to "Edit" / "Confirm" / "Save";
PS: In an ideal world, by clicking on the "edited" mark one should have access to the history of changes on the specific comment;

#4 - Nov 30, 2015 09:55 AM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Costantino Perciante

#7 - Dec 11, 2015 02:30 PM - Massimiliano Assante

- Status changed from New to In Progress

#8 - Dec 11, 2015 02:31 PM - Massimiliano Assante
- Due date set to Jun 11, 2015

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- Estimated time set to 16.00 h
